Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphalgo
Class CommonEvaluators

    java.lang.Object
      org.neo4j.graphalgo.CommonEvaluators

    public abstract class CommonEvaluators

extends Object

Factory for common evaluators used by some graph algos, f.ex `CostEvaluator` and `EstimateEvaluator`.

Author:
  Mattias Persson

Constructor Summary
`CommonEvaluators()`

Method Summary
`static CostEvaluator<Double>` | `doubleCostEvaluator(String relationshipCostPropertyKey)`
`static CostEvaluator<Double>` | `doubleCostEvaluator(String relationshipCostPropertyKey, double defaultCost)`
`static EstimateEvaluator<Double>` | `geoEstimateEvaluator(String latitudePropertyKey, String longitudePropertyKey)`
`static CostEvaluator<Integer>` | `intCostEvaluator(String relationshipCostPropertyKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonEvaluators

    public CommonEvaluators()

Method Detail

### doubleCostEvaluator

    public static CostEvaluator<Double> doubleCostEvaluator(String relationshipCostPropertyKey)

### doubleCostEvaluator

    public static CostEvaluator<Double> doubleCostEvaluator(String relationshipCostPropertyKey,
                                                            double defaultCost)

### intCostEvaluator

    public static CostEvaluator<Integer> intCostEvaluator(String relationshipCostPropertyKey)

### geoEstimateEvaluator

    public static EstimateEvaluator<Double> geoEstimateEvaluator(String latitudePropertyKey,
                                                                 String longitudePropertyKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.